> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudidr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe Linked Accounts

> Retrieve a list of all cloud provider accounts linked to the authenticated user.



## OpenAPI

````yaml /api-reference/auth-api.json get /external/api/v1/my-linked-accounts
openapi: 3.1.0
info:
  title: Cloudidr Authentication API
  description: API for authentication and access token management.
  version: 1.0.0
servers:
  - url: https://public-api.cloudidr.com
    description: Production server
security: []
paths:
  /external/api/v1/my-linked-accounts:
    get:
      summary: Describe Linked Accounts
      description: >-
        Retrieve a list of all cloud provider accounts linked to the
        authenticated user.
      responses:
        '200':
          description: Successfully retrieved linked accounts
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              example:
                - accountId: '123456789012'
                  accountName: Production AWS
                  provider: AWS
                  status: active
                  linkedAt: '2024-01-15T10:30:00Z'
                - accountId: '987654321098'
                  accountName: Development AWS
                  provider: AWS
                  status: active
                  linkedAt: '2024-02-20T14:45:00Z'
        '401':
          description: Unauthorized - Unable to process access token
          content:
            application/json:
              example:
                error:
                  code: '401'
                  message: Unauthorized
                  details:
                    timestamp: '2025-03-04T17:01:01'
                    description: Unable to process access token
        '500':
          description: Internal Server Error - Unexpected error occurred
          content:
            application/json:
              example:
                error:
                  code: '500'
                  message: Internal Server Error
                  details:
                    timestamp: '2025-03-04T17:17:08'
                    description: Unexpected error. Our team is working on it
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````